For AI agents: a documentation index is available at https://www.mongodb.com/docs/api/doc/agentengine/llms.txt. Markdown versions of each page are available by sending an Accept: text/markdown header, or by appending .md to the page URL.

Do not miss any Atlas Agent Engine API changes, ever again

Subscribe to the Atlas Agent Engine API changelog to be up to date on recent changes.

RSS

Sep 24, 2026

main
1.0
Compare

API structure has changed

2 structure changes including:
2 Modifications
Modified 2 Breaking
POST /api/v1/projects/{id}/workspaces/{workspace_id}/invoke
  • Header
  • X-Agentic-Test-Session, X-Agentic-Invoke-Timeout-Seconds headers Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • X-Agent-Engine-Test-Session, X-Agent-Engine-Invoke-Timeout-Seconds headers Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/invokeStream
  • Header
  • X-Agentic-Test-Session header Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • X-Agent-Engine-Test-Session header Added